From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/prefix:master commit in: dev-libs/libgpg-error/
Date: Sat, 26 Dec 2020 21:22:50 +0000 (UTC) [thread overview]
Message-ID: <1609017762.1718c5c17973f9b9f025493f45f20a907053e812.sam@gentoo> (raw)
commit: 1718c5c17973f9b9f025493f45f20a907053e812
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 26 21:22:33 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 26 21:22:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=1718c5c1
dev-libs/libgpg-error: bump to 1.41
Package-Manager: Portage-3.0.12-prefix, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/libgpg-error/Manifest | 1 +
dev-libs/libgpg-error/libgpg-error-1.41.ebuild | 73 ++++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/dev-libs/libgpg-error/Manifest b/dev-libs/libgpg-error/Manifest
index e92517205e..5aae586e29 100644
--- a/dev-libs/libgpg-error/Manifest
+++ b/dev-libs/libgpg-error/Manifest
@@ -1 +1,2 @@
DIST libgpg-error-1.39.tar.bz2 961676 BLAKE2B 8753a9295ca57ba79142ffbc7fa01a986addcdd6a8860cf80c9e1bf9f6f9dfce874f804205a5cdd956e026eb006f2662110c63e7ed52c7a42ee0c45923ae52be SHA512 b28be183ac3d3920363558c4b5b2c24f9074a302799915cc076674bb349dcfb6f09160bec1d3fb62e04047c3ce432d345f36b0905100a88cc730b53d4eb78e42
+DIST libgpg-error-1.41.tar.bz2 967117 BLAKE2B 9dc95bc09f55915d904e0f956ecf9281615028b8b8d876dbc786b752068fefea56adfb5dd5db65bad656ab664d567e56541e44a584c7f8672c30537ed05c4db0 SHA512 578d1d8090b9f6e6cbe59d9aeebec7df81aae492f75ec343f8df530950d30866fa0a7903ca050bf7bf721413f7b2708abe34f7467e2b208cc1447ffc9bd5b9a5
diff --git a/dev-libs/libgpg-error/libgpg-error-1.41.ebuild b/dev-libs/libgpg-error/libgpg-error-1.41.ebuild
new file mode 100644
index 0000000000..3e31144be2
--- /dev/null
+++ b/dev-libs/libgpg-error/libgpg-error-1.41.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools libtool multilib-minimal toolchain-funcs prefix
+
+DESCRIPTION="Contains error handling functions used by GnuPG software"
+HOMEPAGE="http://www.gnupg.org/related_software/libgpg-error"
+SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="common-lisp nls"
+
+RDEPEND="nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}"
+BDEPEND="nls? ( sys-devel/gettext )"
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/gpg-error-config
+)
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/gpg-error.h
+ /usr/include/gpgrt.h
+)
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.37-remove_broken_check.patch"
+)
+
+src_prepare() {
+ default
+
+ if use prefix ; then
+ # don't hardcode /usr/xpg4/bin/sh as shell on Solaris
+ sed -i -e 's/solaris\*/disabled/' configure.ac || die
+ fi
+
+ # only necessary for as long as we run eautoreconf, configure.ac
+ # uses ./autogen.sh to generate PACKAGE_VERSION, but autogen.sh is
+ # not a pure /bin/sh script, so it fails on some hosts
+ hprefixify -w 1 autogen.sh
+ eautoreconf
+
+ if use prefix ; then
+ # upstream seems not interested in trying to understand (#584330)
+ # https://lists.gnupg.org/pipermail/gnupg-devel/2017-March/032671.html
+ # again reported as https://dev.gnupg.org/T4474
+ einfo "Forcing -no-undefined libtool flag ..."
+ sed -i -e 's/\$(no_undefined)/-no-undefined/' src/Makefile.in
+ eend $? || die
+ fi
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(multilib_is_native_abi || echo --disable-languages)
+ $(use_enable common-lisp languages)
+ $(use_enable nls)
+ --disable-static
+ --enable-threads
+ CC_FOR_BUILD="$(tc-getBUILD_CC)"
+ $("${S}/configure" --help | grep -o -- '--without-.*-prefix')
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}" -type f -name '*.la' -delete || die
+}
next reply other threads:[~2020-12-26 21:22 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-26 21:22 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-12-26 21:23 [gentoo-commits] repo/proj/prefix:master commit in: dev-libs/libgpg-error/ Sam James
2020-12-26 19:16 Fabian Groffen
2020-12-16 7:07 Fabian Groffen
2020-12-09 0:46 Sam James
2018-11-19 14:13 Fabian Groffen
2018-05-29 17:26 Michael Haubenwallner
2018-05-03 6:23 Fabian Groffen
2018-04-20 12:22 Fabian Groffen
2017-11-25 20:09 Fabian Groffen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1609017762.1718c5c17973f9b9f025493f45f20a907053e812.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox